require "rails_helper"

RSpec.describe VideoReleaseConfirmation do
  describe "associations" do
    it { is_expected.to belong_to(:releasable) }
    it { is_expected.to belong_to(:video) }
    it { is_expected.to belong_to(:file_info).optional }
  end

  describe "#appears_at" do
    it "returns timecode string from time_elapsed" do
      expect(described_class.new(time_elapsed: "5").appears_at).to eq "00:00:05:00"
    end
  end
end
